Subject: bug#59139: closed (Re: bug#59236: 29.0.50; [PATCH] bytecomp.el: (byte-recompile-directory): Fix negated ignore)

From: Philip Kaludercic <[email-masked]>
Date: Mon, 14 Nov 2022 11:50:44 +0000

David Ponce <[email-masked]> writes:

> On 13/11/2022 08:23, GNU bug Tracking System wrote:
>> Your bug report
>> #59236: 29.0.50; batch-byte-recompile-directory doesn't recompile
>> file as expected
>> which was filed against the emacs package, has been closed.
>> The explanation is attached below, along with your original report.
>> If you require more details, please reply to [email-masked].
>> 
>
> As mentioned in bug#59236 and my reported bug#59139, the patch
> 8638aace3f to use the variable `byte-compile-ignore-files` has
> the logic inverse for both file and *directory* parts.
> Currently the patch a01024c859 fixed the logic for file part, but
> the fix to the directory part is still missing, as far as I can
> see in master.  Currently, according to the code, when a
> directory matchs `byte-compile-ignore-files` it is appended 2
> times instead of being ignored.

You are right.  I have also discovered that this is related to the
failing tests reported in bug#59109.  I'll rework your patch and apply
that then.